.\"
.\" Copyright (c) 1997 Colin Wood
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed by Colin Wood
.\"      for the NetBSD Project.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\"	$NetBSD: mainbus.4,v 1.3 2001/06/05 12:30:46 wiz Exp $
.\"
.Dd July 2, 1997
.Dt MAINBUS 4 mac68k
.Os
.Sh NAME
.Nm mainbus
.Nd Mac68k main processor bus device
.Sh SYNOPSIS
.Cd "mainbus0 at root"
.Sh DESCRIPTION
The
.Nm
interface serves as an abstraction used by the autoconfiguration
system to help find and attach busses
.Pq e.g. the Tn NuBus expansion bus
or devices
.Pq e.g. the math coprocessor
connected to the
.Tn Macintosh
main processor bus.
.Sh DIAGNOSTICS
.Bl -diag -compact
.It mainbus0 (root).
This is the normal autoconfiguration message indicating that the
main processor bus has been found.
.El
.Sh SEE ALSO
.Xr autoconf 4 ,
.Xr obio 4
.Sh HISTORY
The
.Nm
first appeared in
.Nx 1.2 .
